Subject: Re: New Version Notification for draft-fairhurst-tsvwg-transport-encrypt-04.txt

From: "Gorry (erg)" <[email-masked]>
Date: Fri, 29 Sep 2017 12:23:58 +0100

I enclose a link to the new transport header encryption ID. We hope this provides a useful input to the Quic-dt looking at tradeoffs.

Many thanks to all who provided feedback on the last rev. I am particularly pleased Colin Perkins has now joined me as a co-author. The restructuring and updates should make this more accessible to readers -- all comments are welcome via QUIC or TSVWG (on general transport issues)

Best wishes Colin and Gorry

> On 29 Sep 2017, at 12:08, [email-masked] wrote:
> 
> 
> A new version of I-D, draft-fairhurst-tsvwg-transport-encrypt-04.txt
> has been successfully submitted by Godred Fairhurst and posted to the
> IETF repository.
> 
> Name:        draft-fairhurst-tsvwg-transport-encrypt
> Revision:    04
> Title:        The Impact of Transport Header Encryption on Operation and Evolution of the Internet
> Document date:    2017-09-27
> Group:        Individual Submission
> Pages:        27
> URL:            https://www.ietf.org/internet-drafts/draft-fairhurst-tsvwg-transport-encrypt-04.txt
> Status:         https://datatracker.ietf.org/doc/draft-fairhurst-tsvwg-transport-encrypt/
> Htmlized:       https://tools.ietf.org/html/draft-fairhurst-tsvwg-transport-encrypt-04
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-fairhurst-tsvwg-transport-encrypt-04
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-fairhurst-tsvwg-transport-encrypt-04
> 
> Abstract:
>   This document describes implications of applying end-to-end
>   encryption at the transport layer.  It identifies some in-network
>   uses of transport layer header information that can be used with a
>   transport header integrity check.  It reviews the implication of
>   developing encrypted end-to-end transport protocols and examines the
>   implication of developing and deploying encrypted end-to-end
>   transport protocols.  Since transport measurement and analysis of the
>   impact of network characteristics have been important to the design
>   of current transport protocols, it also considers some anticipated
>   implications on transport and application evolution.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat